.contact-page {
    width: 1650px;
    max-width: calc(100% - 60px);
    margin: 0 auto 50px auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    column-gap: 175px;
    padding-top: var(--nav-height);
}
.contact-page h1 {
    font-size: 4rem;
    font-weight: 700;
    font-family: var(--alt-font);
    color: var(--primary-color);
    margin-bottom: 50px;
}
.contact-page .contact-hero {
    width: 600px;
    max-width: 100%;
    padding: 70px 0 0 0;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}
.contact-page .contact-hero p {
    font-size: 1.2rem;
    font-weight: 400;
    line-height: 1.5;
    color: rgba(var(--page-text-color-rgb), 0.8);
    margin-bottom: 30px;
}
.contact-page .contact-hero .map {
    flex-grow: 1;
    min-height: 300px;
    display: flex;
    flex-direction: column;
}
.contact-page .contact-hero .map iframe {
    flex-grow: 1;
    width: 100%;
    border: none;
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
}
.contact-page .contact-content {
    width: 700px;
    flex-grow: 1;
}
.contact-page .contact-form {
    width: 100%;
    height: 100%;
    background-color: var(--page-bg-three-color);
    color: var(--page-text-three-color);
    margin-top: 70px;
    padding: 50px;
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
    border-radius: var(--br-def);
}
.contact-page .contact-form .legal-notice {
    padding: 30px 0 15px 0;
}

#contactForm {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}
.form-input {
    width: 200px;
    max-width: 100%;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}
.form-input.full-width {
    width: 100%;
}
.form-input input,
.form-input textarea,
.form-input select {
    width: 100%;
    padding: 10px 15px;
    border: 1px solid rgba(var(--page-text-color-rgb), 0.2);
    outline: none;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
    background-color: rgba(var(--page-bg-three-color-alt-rgb), 0.8);
    color: var(--page-text-three-color);
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}
.form-input select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 15px;
}
.form-input .select-wrapper {
    position: relative;
    width: 100%;
}
.form-input .select-wrapper i {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: rgba(var(--page-text-three-color-rgb), 0.5);
    pointer-events: none;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}
.form-input .select-wrapper:has(select:focus) i {
    color: rgba(var(--page-text-three-color-rgb), 1);
    -webkit-transform: translateY(-50%) rotate(-180deg);
    -moz-transform: translateY(-50%) rotate(-180deg);
    -ms-transform: translateY(-50%) rotate(-180deg);
    -o-transform: translateY(-50%) rotate(-180deg);
    transform: translateY(-50%) rotate(-180deg);
}

.form-input input:focus,
.form-input textarea:focus,
.form-input select:focus {
    background-color: var(--page-bg-three-color-alt);
}
.form-input label {
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 2px;
}
.form-input:has(*:required) label::after {
    content: "*";
    color: rgba(var(--page-text-three-color-rgb), 0.5);
    margin-left: 2px;
}
.submission button {
    padding: 15px 20px;
    font-size: 1.1rem;
    font-weight: 600;
    color: var(--page-text-three-color);
    background-color: var(--page-bg-three-color-alt);
    border: 2px solid var(--page-bg-three-color-alt);
    outline: none;
    cursor: pointer;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    border-radius: 10px;
    transition: 0.3s;
}
.submission button:hover {
    background-color: transparent;
    color: var(--page-text-color);
}

.block-seperator {
    display: flex;
    flex-wrap: wrap;
    row-gap: 5rem;
    column-gap: 3rem;
    padding: 5rem var(--gutter-width) 10rem var(--gutter-width);
}
.contact-top {
    min-height: 100vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: calc(var(--nav-height) + 5rem) var(--gutter-width);
    background-image: url('/images/galleryimages/20240916140547-germany006.jpg');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}
.contact-top::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}
.contact-top h1 {
    font-size: calc(3rem + 4vw);
    font-weight: 900;
    margin: 0;
    position: relative;
    z-index: +1;
    text-align: center;
}


.captcha-border {
	width: 295px;
	height: 70px;
    margin-bottom: 5px;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	border-radius: var(--br-def2);
	-webkit-border-radius: var(--br-def2);
	-moz-border-radius: var(--br-def2);
	-ms-border-radius: var(--br-def2);
	-o-border-radius: var(--br-def2);
}

/* Contact Page 1 - Phone*/
#contactPage1 {
    display: flex;
    flex-direction: column;
    justify-content: end;
    width: 25rem;
    flex-grow: 1;
    max-width: 100%;
    border-radius: var(--br-def);
}
#contactPage1 .contact-container {
    position: relative;
    padding: 0;
    display: flex;
    gap: 5rem;
    flex-wrap: wrap;
}
#contactPage1 .contact-container .contact-us a {
    color: rgba(var(--page-text-color-alt-rgb), 1);
}
#contactPage1 .contact-container .contact-us a:hover {
    color: rgba(var(--page-text-color-alt-rgb), 0.75);
}
#contactPage1 .contact-container .contact-us h4 {
    font-size: 0.8rem;
    font-weight: 600;
    line-height: 0.7rem;
    margin-bottom: 0.3rem;
}
#contactPage1 .contact-container .contact-us h2 {
    font-size: calc(2.5rem + 1vw);
    font-weight: 500;
    line-height: calc(2.3rem + 1vw);
    margin-bottom: 1rem;
}
#contactPage1 .contact-container .contact-us p {
    font-size: 0.95rem;
    font-weight: 500;
    margin-bottom: 0.5rem;
}

/* Contact Page 2 - Map / Address */
#contactPage2 {
    width: 40rem;
    max-width: 100%;
    flex-grow: 1;
    background-color: var(--page-bg-color-alt);
    color: var(--page-text-color-alt);
    padding: 1rem;
    border-radius: var(--br-def);
}
#contactPage2 p {
    width: 40rem;
    flex-grow: 1;
    max-width: 100%;
}
#contactPage2 .contact-container {
    position: relative;
    padding: 0;
}
#contactPage2 .contact-container .map {
    width: 100%;
    height: 15rem;
    overflow: hidden;
    margin-bottom: 1rem;
}
#contactPage2 .contact-container .map iframe {
    width: 100%;
    height: 100%;
}
#contactPage2 .contact-container .information {
    flex-grow: 1;
    max-width: 100%;
}
#contactPage2 .contact-container .information h2 {
    font-size: 0.8rem;
    font-weight: 600;
    line-height: 0.7rem;
    margin-bottom: 0.3rem;
}
#contactPage2 .contact-container .information h3 {
    font-size: calc(2.5rem + 1vw);
    font-weight: 500;
    line-height: calc(2.3rem + 1vw);
    margin-bottom: 0.75rem;
}

/* Contact Page 3 - Opening Times */
#contactPage3 {
    display: flex;
    flex-direction: column;
    justify-content: end;
    width: 25rem;
    flex-grow: 1;
    max-width: 100%;
    padding: 1rem;
    border-radius: var(--br-def);
}
#contactPage3 .contact-container {
    position: relative;
    padding: 0;
    display: flex;
    gap: 5rem;
    flex-wrap: wrap;
}
#contactPage3 .contact-container .contact-us a {
    color: rgba(var(--page-text-color-alt-rgb), 1);
}
#contactPage3 .contact-container .contact-us a:hover {
    color: rgba(var(--page-text-color-alt-rgb), 0.75);
}
#contactPage3 .contact-container .contact-us h4 {
    font-size: 0.8rem;
    font-weight: 600;
    line-height: 0.7rem;
    margin-bottom: 0.3rem;
}
#contactPage3 .contact-container .contact-us h2 {
    font-size: calc(2.5rem + 1vw);
    font-weight: 500;
    line-height: calc(2.3rem + 1vw);
    margin-bottom: 1rem;
}
#contactPage3 .contact-container .contact-us p {
    font-size: 0.95rem;
    font-weight: 500;
    margin-bottom: 0.5rem;
}
  
/* Contact Page 4 - Contact Form */
#contactPage4 {
    width: 40rem;
    max-width: 100%;
    flex-grow: 1;
}
#contactPage4 .contact-container {
    position: relative;
    padding: 0;
    display: flex;
    gap: 5rem;
    flex-wrap: wrap;
}
#contactPage4 .contact-container .contact-us {
    width: 30rem;
    max-width: 100%;
}
#contactPage4 .contact-container .contact-us h2 {
    font-size: 0.8rem;
    font-weight: 600;
    line-height: 0.7rem;
    margin-bottom: 0.3rem;
    color: var(--primary-color);
}
#contactPage4 .contact-container .contact-us h3 {
    font-size: calc(2.5rem + 1vw);
    font-weight: 500;
    line-height: calc(2.3rem + 1vw);
    margin-bottom: 0.75rem;
}
#contactPage4 .contact-container .contact-us p {
    font-size: 0.95rem;
    font-weight: 500;
    margin-bottom: 0.5rem;
    width: 25rem;
    max-width: 100%;
}
#contactPage4 .contact-container .contact-form {
    flex-grow: 1;
    width: 30rem;
    max-width: 100%;
}
#contactPage4 .contact-container .contact-form #contactForm {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input {
    width: 15rem;
    min-width: 40%;
    max-width: 100%;
    flex-grow: 1;
}
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input.full {
    width: 100%;
}
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input input,
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input textarea {
    width: 100%;
    padding: 0.7rem 1.2rem;
    border: 0;
    outline: 0;
    background-color: var(--page-bg-color-alt);
    color: var(--page-text-color-alt);
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
    transition: var(--transition-def);
    -webkit-transition: var(--transition-def);
    -moz-transition: var(--transition-def);
    -ms-transition: var(--transition-def);
    -o-transition: var(--transition-def);
}
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input input:focus,
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input textarea:focus {
    background-color: rgba(var(--page-bg-color-alt-rgb),0.65);
}
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input input:hover,
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input textarea:hover {
    cursor: text !important;
}
#contactPage4 .contact-container .contact-form #contactForm .contact-form-input p {
    font-size: 0.95rem;
    font-weight: 600;
    line-height: 0.8rem;
    margin-bottom: 0.3rem;
}
#contactPage4 .contact-container .contact-form #contactForm .submit-area {
    width: auto;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: var(--br-def);
    -webkit-border-radius: var(--br-def);
    -moz-border-radius: var(--br-def);
    -ms-border-radius: var(--br-def);
    -o-border-radius: var(--br-def);
}
#contactPage4 .contact-container .contact-form #contactForm .submit-area button {
    padding: 1.25rem 1rem 1.25rem 3rem;
    font-size: 1.1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    text-wrap: nowrap;
    position: relative;
}
#contactPage4 .contact-container .contact-form #contactForm .submit-area button i {
    margin-left: 1.5rem;
    font-size: 1.3rem;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}
#contactPage4 .contact-container .contact-form #contactForm .submit-area button:hover i {
    transform: translateX(10rem);
    -webkit-transform: translateX(10rem);
    -moz-transform: translateX(10rem);
    -ms-transform: translateX(10rem);
    -o-transform: translateX(10rem);
    opacity: 0;
    transition: 0.8s;
    -webkit-transition: 0.8s;
    -moz-transition: 0.8s;
    -ms-transition: 0.8s;
    -o-transition: 0.8s;
}
#contactPage4 ::placeholder {
    color: rgba(var(--page-text-color-alt-rgb), 0.35);
    opacity: 1;
  }
  
#contactPage4 ::-ms-input-placeholder {
    color: rgba(var(--page-text-color-alt-rgb), 0.35);
  }